Bug 1878729 - keepalived fwmark persistence
Summary: keepalived fwmark persistence
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: keepalived
Version: 8.2
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: 8.0
Assignee: Ryan O'Hara
QA Contact: Brandon Perkins
URL:
Whiteboard:
Depends On: 1889440
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-14 12:10 UTC by Kapetanakis Giannis
Modified: 2021-05-18 16:11 UTC (History)
1 user (show)

Fixed In Version: keepalived-2.1.5-5.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-18 16:10:55 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Kapetanakis Giannis 2020-09-14 12:10:27 UTC
Trying to use same keepalived conf from RHEL7 to RHEL8, with fwmark to keep same server for both 80/443 ports, real_server with 0 as port is no longer accepted

virtual_server fwmark 80 {
   delay_loop 5
   lb_algo sh
   lb_kind NAT
   protocol TCP
   persistence_timeout 3600

   real_server 192.168.17.31 0 {
      weight 1
      TCP_CHECK {
         connect_port 80
         connect_timeout 3
      }
   }

# keepalived -t
(Line 8) number '0' outside range [1, 65535]
(Line 8) Invalid real server ip address/port 192.168.17.31/0 - skipping

/usr/share/doc/keepalived/keepalived.conf.fwmark
lists real_server without port at all.

Doing that:
 keepalived -t
(Line 8) *** Configuration line starting `real_server` is missing a parameter after keyword `192.168.17.31` at word position 3

There is an issue on this:
https://github.com/acassen/keepalived/issues/1186
that mentions:
https://github.com/acassen/keepalived/commit/d98f07ceb85fc7de974e80e4122ab7a298cd4b42

Comment 2 Ryan O'Hara 2020-11-09 20:00:30 UTC
This fix is included in the latest upstream release and therefore will be updated in RHEL 8.4.

Comment 9 errata-xmlrpc 2021-05-18 16:10:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (keepalived bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1927


Note You need to log in before you can comment on or make changes to this bug.